<!--

    Copyright (C) 2015 The Gravitee team (http://gravitee.io)

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

-->
<div fxLayout="column">
  <p class="gv-plugin-creation-description">
    Choose how your users will connect to the authorization server.
    That could be an Active Directory or a corporate authentication service.
  </p>

  <div fxLayout="row" fxFlex>
    <mat-form-field appearance="outline" floatLabel="always">
      <mat-icon matPrefix>search</mat-icon>
      <mat-label>Filter providers...</mat-label>
      <input matInput type="search" [(ngModel)]="filter" autocomplete="off">
      <button mat-button mat-icon-button matSuffix (click)="clear()" *ngIf="filter">
        <mat-icon>close</mat-icon>
      </button>
    </mat-form-field>
  </div>

  <div fxLayout="row wrap" fxFlex fxLayoutGap="10px" fxLayoutAlign="center">

    <mat-card *ngFor="let idp of getFilteredIdentities()" fxFlex="30" [class.selected]="provider.type === idp.id"
              (click)="selectProviderType(idp)"
              (keyup.enter)="selectProviderType(idp)"
              tabIndex="0">
      <mat-card-content>
        <div class="identity-provider__icon" [innerHTML]="getIcon(idp) | safe:'html'"></div>
        {{displayName(idp)}}
      </mat-card-content>
    </mat-card>

  </div>
</div>
